package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_contracts):
 */
public class TeacherContracts {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/**  */
	private String contractNo;
	
	/**  */
	private String type;
	
	/**  */
	private String url;
	
	/**  */
	private String serialNo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private Integer tenantId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setContractNo(String contractNo){
		this.contractNo = contractNo;
	}
	
	public String getContractNo(){
		return this.contractNo;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setUrl(String url){
		this.url = url;
	}
	
	public String getUrl(){
		return this.url;
	}
			
	public void setSerialNo(String serialNo){
		this.serialNo = serialNo;
	}
	
	public String getSerialNo(){
		return this.serialNo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setTenantId(Integer tenantId){
		this.tenantId = tenantId;
	}
	
	public Integer getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
